import { StampedTemplate } from '../node_modules/@github/template-parts/lib/index.js';
import { observeProperty } from './observe-property.js';
export function findTemplate(element) {
    return element.ownerDocument.querySelector(`template[data-for="${element.tagName}"]`);
}
export function bindTemplate(element) {
    const template = findTemplate(element);
    if (!template)
        throw new Error(`Cannot find template for ${element.tagName}`);
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    const stampedTemplate = new StampedTemplate(template, processTemplateParts, element);
    element.innerHTML = '';
    element.append(stampedTemplate.fragment);
}
export function processTemplateParts(parts, el) {
    for (const part of parts) {
        const property = part.expression.trim();
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        observeProperty(el, property, (value) => {
            const parent = part.parentNode;
            if (part.attribute && parent instanceof HTMLElement && part.parentPart.parentNode?.children.length === 1) {
                if (value === false) {
                    parent.removeAttribute(part.attribute.name);
                }
                else {
                    parent.setAttribute(part.attribute.name, value === true ? part.attribute.name : value);
                }
            }
            else {
                part.replaceWith(value);
            }
        });
    }
}
//# sourceMappingURL=templates.js.map